일 | 월 | 화 | 수 | 목 | 금 | 토 |
---|---|---|---|---|---|---|
1 | 2 | 3 | 4 | |||
5 | 6 | 7 | 8 | 9 | 10 | 11 |
12 | 13 | 14 | 15 | 16 | 17 | 18 |
19 | 20 | 21 | 22 | 23 | 24 | 25 |
26 | 27 | 28 | 29 | 30 | 31 |
- 알고리즘
- 프로그래머스
- 이진탐색
- 아파치 하둡
- heapq
- 아파치 카프카
- 파이썬
- programmers
- Python
- 리트코드
- 우선순위큐
- 문자열
- Apache Spark
- String
- 분산처리
- Apache Hadoop
- 코딩테스트
- 아파치 스파크
- BFS
- 카프카
- 도커
- 하둡
- 그래프
- 티스토리챌린지
- 분산
- docker
- leetcode
- 오블완
- apache kafka
- DP
- Today
- Total
목록전체 글 (98)
래원
난이도: Medium 문제 설명Given a string s, return the number of unique palindromes of length three that are a subsequence of s. Note that even if there are multiple ways to obtain the same subsequence, it is still only counted once. A palindrome is a string that reads the same forwards and backwards. A subsequence of a string is a new string generated from the original string with some characters (can b..
난이도: Medium 문제 설명You are given a 0-indexed integer array nums of length n.nums contains a valid split at index i if the following are true:The sum of the first i + 1 elements is greater than or equal to the sum of the last n - i - 1 elements.There is at least one element to the right of i. That is, 0 Return the number of valid splits in nums. 문제 예제Example 1:Input: nums = [10,4,-8,7]Output: 2Expl..
난이도: Medium 문제 설명You are given a 0-indexed array of strings words and a 2D array of integers queries. Each query queries[i] = [l_i, r_i] asks us to find the number of strings present in the range li to ri (both inclusive) of words that start and end with a vowel. Return an array ans of size queries.length, where ans[i] is the answer to the ith query. Note that the vowel letters are 'a', 'e', 'i'..
난이도: Easy 문제 설명Given a string s of zeros and ones, return the maximum score after splitting the string into two non-empty substrings (i.e. left substring and right substring). The score after splitting a string is the number of zeros in the left substring plus the number of ones in the right substring. 문제 예제Example 1:Input: s = "011101"Output: 5 Explanation: All possible ways of splitting s into..
난이도: Medium문제 설명You are given an integer array coins representing coins of different denominations and an integer amount representing a total amount of money.Return the fewest number of coins that you need to make up that amount. If that amount of money cannot be made up by any combination of the coins, return -1.You may assume that you have an infinite number of each kind of coin. 문제 예제Example ..
난이도: Medium 문제 설명You have planned some train traveling one year in advance. The days of the year in which you will travel are given as an integer array days. Each day is an integer from 1 to 365.Train tickets are sold in three different ways:a 1-day pass is sold for costs[0] dollars,a 7-day pass is sold for costs[1] dollars, anda 30-day pass is sold for costs[2] dollars.The passes allow that man..